package com.sjkj.appthreefloor_tsgz.activity.viewModel;

import androidx.databinding.ObservableField;

import com.sjkj.base_lib.camera.dh.bean.CameraBean;
import com.sjkj.base_lib.vm.BaseViewModel;

import java.util.List;

public class MainViewModel extends BaseViewModel {

    public ObservableField<String> username = new ObservableField<>("linzhiyu");
    public ObservableField<String> password = new ObservableField<>("123456");
    //图片路径
    public ObservableField<String> fileList = new ObservableField<>("");
    /**
     * 风向
     */
    public ObservableField<CharSequence> windDirection = new ObservableField<>("");
    /**
     * 风速
     */
    public ObservableField<String> windSpeed = new ObservableField<>("");
    /**
     * 温度
     */
    public ObservableField<String> temperature = new ObservableField<>("");
    /**
     * 湿度
     */
    public ObservableField<String> humidity = new ObservableField<>("");
    /**
     * 持续时间
     */
    public ObservableField<String> time = new ObservableField<>("");
    /**
     * 植被类型
     */
    public ObservableField<String> type = new ObservableField<>("");
    /**
     * 大气压
     */
    public ObservableField<String> pressure = new ObservableField<>("");

    /**
     * 名称
     */
    public ObservableField<String> name = new ObservableField<>("");
    public ObservableField<String> area = new ObservableField<>("");
    public ObservableField<String> address = new ObservableField<>("");
    public ObservableField<String> number = new ObservableField<>("");
    public ObservableField<String> detailsId = new ObservableField<>("");
    public ObservableField<Double> lat = new ObservableField<>(0.0);
    public ObservableField<Double> log = new ObservableField<>(0.0);
    public ObservableField<String> contact = new ObservableField<>("");
    public ObservableField<String> cycle = new ObservableField<>("");
    public ObservableField<String> phone = new ObservableField<>("");
    /**
     * 绑定设备 数据装载0
     */
    public ObservableField<List<CameraBean>> deviceList = new ObservableField<>();
    public ObservableField<List<String>> deviceStrList = new ObservableField<>();
    public ObservableField<String> deviceStr = new ObservableField<>("");

    public ObservableField<List<String>> villageIdList = new ObservableField<>();
    public ObservableField<List<String>> villageNameList = new ObservableField<>();
    public ObservableField<String> villageNameStr = new ObservableField<>("");

    public ObservableField<String> deptName = new ObservableField<>("");
    public ObservableField<String> deptId = new ObservableField<>("");
    public ObservableField<String> remark = new ObservableField<>("");
    /*消火栓*/
    public ObservableField<String> HydrantTypeId = new ObservableField<>("");
    public ObservableField<String> HydrantTypeValue = new ObservableField<>("");
    /*防火队*/

    /**
     * 字典选址
     */
    public ObservableField<String> ZoningId = new ObservableField<>("");//森林火险区划
    public ObservableField<String> ZoningValue = new ObservableField<>("");
    public ObservableField<String> typeId = new ObservableField<>("");//森林火险类别
    public ObservableField<String> typeValue = new ObservableField<>("");
    public ObservableField<String> DbId = new ObservableField<>("");//达标情况
    public ObservableField<String> DbValue = new ObservableField<>("");

    /*物资信息*/
    public ObservableField<String> MaterialsTypeId = new ObservableField<>("");//物资类别
    public ObservableField<String> MaterialsTypeValue = new ObservableField<>("");
    public ObservableField<String> FormHouseId = new ObservableField<>("");//归属仓库
    public ObservableField<String> FormHouseValue = new ObservableField<>("");
    public ObservableField<String> Meals = new ObservableField<>("");

    /*应急队伍信息*/
    public ObservableField<String> TeamTypeId = new ObservableField<>("");//物资类别
    public ObservableField<String> TeamTypeValue = new ObservableField<>("");
    public ObservableField<String> ZSnumber = new ObservableField<>("");
    public ObservableField<String> HTnumber = new ObservableField<>("");
    public ObservableField<String> ZBnumber = new ObservableField<>("");
    public ObservableField<String> Scly = new ObservableField<>("");
    /*警示牌*/
    public ObservableField<String> useTo = new ObservableField<>("");
    /*重要交通枢纽管理*/
    public ObservableField<String> intersectionName = new ObservableField<>("");
    public ObservableField<String> highwayName = new ObservableField<>("");
    public ObservableField<String> CongestionPoint = new ObservableField<>("");
    /*桥梁资源*/
    public ObservableField<String> ManagementUnitName = new ObservableField<>("");
    public ObservableField<String> ManagementUnitPhone = new ObservableField<>("");
    public ObservableField<String> MaintenanceUnitName = new ObservableField<>("");
    public ObservableField<String> MaintenanceUnitPhone = new ObservableField<>("");
    /*河流资源*/
    public ObservableField<String> DrainageArea = new ObservableField<>("");
    public ObservableField<String> CountyArea = new ObservableField<>("");
    public ObservableField<String> RiverTotal = new ObservableField<>("");
    public ObservableField<String> CountyRivers = new ObservableField<>("");
    public ObservableField<String> Heyuan = new ObservableField<>("");
    public ObservableField<String> HeKou = new ObservableField<>("");
    /*闸门资源*/
    public ObservableField<String> SluiceGate = new ObservableField<>("");
    public ObservableField<String> WaterGate = new ObservableField<>("");

    /*违建信息*/
    public ObservableField<String> NoBuildingTypeValue = new ObservableField<>("");
    public ObservableField<String> NoBuildingTypeId = new ObservableField<>("");
    public ObservableField<String> contact2 = new ObservableField<>("");
    public ObservableField<String> phone2 = new ObservableField<>("");
    public ObservableField<String> contact3 = new ObservableField<>("");
    public ObservableField<String> phone3 = new ObservableField<>("");
    public ObservableField<String> contact4 = new ObservableField<>("");
    public ObservableField<String> phone4 = new ObservableField<>("");
    public ObservableField<String> contact5 = new ObservableField<>("");
    public ObservableField<String> phone5 = new ObservableField<>("");
    /*地质灾害隐患点*/
    public ObservableField<String> ZHTypeValue = new ObservableField<>("");
    public ObservableField<String> ZHTypeId = new ObservableField<>("");
    /*矿产资源*/
    public ObservableField<String> KkTypeValue = new ObservableField<>("");
    public ObservableField<String> KkTypeId = new ObservableField<>("");
    public ObservableField<String> KWType = new ObservableField<>("");
    public ObservableField<String> KCArea = new ObservableField<>("");
    public ObservableField<String> CKgm = new ObservableField<>("");
    public ObservableField<String> EndTime = new ObservableField<>("");
    /*植树造林计划管理*/
    public ObservableField<String> CompletionStatusValue = new ObservableField<>("");
    public ObservableField<String> CompletionStatusId = new ObservableField<>("");
    public ObservableField<String> ZZTypeValue = new ObservableField<>("");
    public ObservableField<String> ZZTypeId = new ObservableField<>("");
    public ObservableField<String> PlanAttributeValue = new ObservableField<>("");
    public ObservableField<String> PlanAttributeId = new ObservableField<>("");
    public ObservableField<String> PlanStatusValue = new ObservableField<>("");
    public ObservableField<String> PlanStatusId = new ObservableField<>("");
    public ObservableField<String> ForestFarmValue = new ObservableField<>("");
    public ObservableField<String> ForestFarmId = new ObservableField<>("");
    public ObservableField<String> Person = new ObservableField<>("");
    /*林业资源*/
    public ObservableField<String> SLTypeValue = new ObservableField<>("");
    public ObservableField<String> SLTypeId = new ObservableField<>("");
    public ObservableField<String> SpeciesValue = new ObservableField<>("");
    public ObservableField<String> SpeciesId = new ObservableField<>("");
    public ObservableField<String> OwnershipValue = new ObservableField<>("");
    public ObservableField<String> OwnershipId = new ObservableField<>("");
    /*水源渠道*/
    public ObservableField<String> ForestFarm = new ObservableField<>("");
    public ObservableField<String> NO = new ObservableField<>("");
    public ObservableField<String> amount = new ObservableField<>("");
    public ObservableField<String> WaterDepth = new ObservableField<>("");
    public ObservableField<String> RetainWater = new ObservableField<>("");
    public ObservableField<String> road = new ObservableField<>("");
    public ObservableField<String> channel = new ObservableField<>("");
    /*林长牌*/
    public ObservableField<String> Jurisdiction = new ObservableField<>("");
    public ObservableField<String> ResponsibleValue = new ObservableField<>("");
    public ObservableField<String> ResponsibleId = new ObservableField<>("");
    /*消防力量分布*/
    public ObservableField<String> Township = new ObservableField<>("");
    public ObservableField<String> TotalWater = new ObservableField<>("");

    /*压力传感器*/
    public ObservableField<String> SetParameters = new ObservableField<>("");
    /*基本联动力量*/
    public ObservableField<String> ForkliftsNum = new ObservableField<>("");
    public ObservableField<String> FireTrucksNum = new ObservableField<>("");
    public ObservableField<String> FireTrucksTonnage = new ObservableField<>("");
    public ObservableField<String> Organization = new ObservableField<>("");
    public ObservableField<String> OrganizationId = new ObservableField<>("");
    /*其他联动力量*/
    public ObservableField<String> DwPhone = new ObservableField<>("");
    /*泡沫液*/
    public ObservableField<String> Foam = new ObservableField<>("");
    /*珍惜古树*/
    public ObservableField<String> TreeSeep = new ObservableField<>("");
    public ObservableField<String> TreeAge = new ObservableField<>("");
    /*重点防火地块*/
    public ObservableField<String> Block = new ObservableField<>("");
    public ObservableField<String> SmallClass = new ObservableField<>("");
    public ObservableField<String> ForestCategoryValue = new ObservableField<>("");
    public ObservableField<String> ForestCategoryId = new ObservableField<>("");
    /*危化企业名单*/
    public ObservableField<String> EnterpriseCategoryValue = new ObservableField<>("");
    public ObservableField<String> EnterpriseCategoryId = new ObservableField<>("");
    /*野生动物监测*/
    public ObservableField<String> AnimalTypeValue = new ObservableField<>("");
    public ObservableField<String> AnimalTypeId = new ObservableField<>("");
}
